%if %{_host_cpu} == "x32"
%define	build_arch %{_target_platform}
%else
%define	build_arch %{_host}
%endif

Summary:	X.org documentation
Summary(pl.UTF-8):	Dokumentacja X.org
Name:		xorg-docs
Version:	1.7.1
Release:	2
License:	MIT
Group:		Documentation
Source0:	http://xorg.freedesktop.org/releases/individual/doc/%{name}-%{version}.tar.bz2
# Source0-md5:	ce5a04d87b330b9091576b3410dc26d3
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Obsoletes:	xorg-docs-ps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org documentation.

%description -l pl.UTF-8
Dokumentacja X.org.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--host=%{build_arch} \
	--build=%{build_arch} \
	--without-fop
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# package just HTML, omit txt and xml
find $RPM_BUILD_ROOT%{_docdir} -name '*.txt' -o -name '*.xml' | xargs %{__rm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog MAINTAINERS README
%{_docdir}/xorg-docs
%{_mandir}/man7/Consortium.7*
%{_mandir}/man7/Standards.7*
%{_mandir}/man7/X.7*
%{_mandir}/man7/XOrgFoundation.7*
%{_mandir}/man7/XProjectTeam.7*
%{_mandir}/man7/Xsecurity.7*
%changelog
* Thu May 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-docs.git;a=log;h=master

* Thu May 07 2015 Jan Rękorajski <baggins@pld-linux.org> 10c1669
- fix host/build for x32 build

* Thu May 07 2015 Jan Rękorajski <baggins@pld-linux.org> c3c075e
- define build/host before noarch is set

* Thu May 07 2015 Jan Rękorajski <baggins@pld-linux.org> 322d261
- re-add build/host, sigh

* Thu May 07 2015 Jan Rękorajski <baggins@pld-linux.org> 384f6aa
- drop host/build options to configure
- rel 2

* Thu May 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 43c79aa
- updated to 1.7.1

* Wed Jun 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 2193561
- updated to 1.7

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 93f0865
- BR: docbook-dtd43-xml

* Thu Dec 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 7d24246
- updated to 1.6

* Sun May 30 2010 Jakub Bogusz <qboosh@pld-linux.org> fb487d0
- more verbose files

* Sat May 29 2010 Jakub Bogusz <qboosh@pld-linux.org> b1ef63e
- --host/--build compatible with rpm both 4.4/4.5
- updated util-macros version

* Tue Dec 08 2009 Elan Ruusamäe <glen@pld-linux.org> 389f968
- release 4

* Fri Nov 06 2009 Elan Ruusamäe <glen@pld-linux.org> 1eb02cd
- redefine only configure args, otherwise we end up noarch.rpm having %{PLATFORM} == x86_64-linux
- rel 3

* Tue Nov 03 2009 Elan Ruusamäe <glen@pld-linux.org> 41c0af0
- build noarch; rel 2

* Mon Oct 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 60cbb8f
- up to 1.5

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3beabd1
- up to 1.4.99.901

* Thu Mar 08 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f6f1cf7
- up to 1.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5d4d12d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 30e4465
- converted to UTF-8

* Thu Nov 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 9f7fd85
- updated to 1.3

* Tue May 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ce7f6f
- up to 1.2

